Bioconductor: Package "Is Not Available"
3
3
Entering edit mode
12.5 years ago
Shigeta ▴ 470

I'm having trouble installing bioconductor packages - it just pretends that they dont' exist:

> source("http://bioconductor.org/biocLite.R")
 BioC_mirror = http://bioconductor.org
 Change using chooseBioCmirror().
 Warning messages:
 1: In safeSource() : Redefining ‘biocinstall’
 2: In safeSource() : Redefining ‘biocinstallPkgGroups’
 3: In safeSource() : Redefining ‘biocinstallRepos’
> install.packages("GEOQuery")
 Installing package(s) into ‘C:/Users/ron/Documents/R/win-library/2.13’
 (as ‘lib’ is unspecified)
 Warning in install.packages :
  package ‘GEOQuery’ is not available (for R version 2.13.1)

I have R 2.13 installed - its the current install for Ubuntu 11 and RStudio. the latest bioconductor docs say they are for R2.14.
After building another build in ubuntu which installed fine, I get the same response:

> install.packages("GEOQuery")
Installing package(s) into ‘/usr/local/lib/R/site-library’
(as ‘lib’ is unspecified)
Warning in install.packages :
  package ‘GEOQuery’ is not available (for R version 2.14.1)

Can anyone help here? Going bonkers. Have gotten this to work on my Mac laptop, but that's not a great place to do work that can take days to run...

thanks!

r bioconductor • 13k views
ADD COMMENT
0
Entering edit mode

I take it nobody else running ubuntu 11 is having this problem with R 2.13?

ADD REPLY
0
Entering edit mode

Nope. See my answer.

ADD REPLY
12
Entering edit mode
12.5 years ago
Neilfws 49k

Edit by Kevin Blighe: This is now outdated. The correct procedure to install a Bioconductor package is now

BiocManager::install("GEOquery")

----------------------------

Like the other answers, I originally thought that your problem was spelling, i.e. GEOquery (correct) not GEOQuery (incorrect).

However, now I see that you are using:

install.packages("GEOquery")

When you should be using:

biocLite("GEOquery")

ADD COMMENT
0
Entering edit mode

bingo - first time bioconductor install issue.

ADD REPLY
7
Entering edit mode
12.5 years ago
Laurent ★ 1.7k

You might be looking for GEOquery, rather than GEOQuery.

ADD COMMENT
1
1
Entering edit mode

whoo you had me for a second there, but i think it spelled correctly. I get the same results for 'limma' as well. :(

ADD REPLY
1
Entering edit mode

PS i tried both spellings to make sure too.

ADD REPLY
1
Entering edit mode

No point trying different spellings. Only one is correct :)

ADD REPLY
1
Entering edit mode
12.5 years ago

You have two options that I know of.

1) go to bioconductor and download the packages and install them using R CMD (command line) for R 2.13. You will build the packages manually. It's not too hard.

2) install and older version of R that is compatible with the package you are using.

I would recommend the first option.

ADD COMMENT
3
Entering edit mode

The first option will only set you up for frustration -- you'll install packages that do not have appropriate versions for your R version, or that do not have dependencies with correct versions installed. The second option isn't usually the right solution either, because Bioc packages have a long life; the mis-capitalized GEOQuery won't be in those earlier releases either! The recommended installation instructions are at http://bioconductor.org/install/ and packages available with each R version are described on pages linked in the 'Previous Versions' box of http://bioconductor.org/help/

ADD REPLY
1
Entering edit mode

@Martin_Morgan is of course correct, unless you like painful {R} sessions.

ADD REPLY
1
Entering edit mode

good point - its painful to not get anything done though too. :| i'll try this if no other answer shows up in a day or two.

ADD REPLY

Login before adding your answer.

Traffic: 3222 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6